Summary:	Gives a fake root environment
Name:		fakeroot
Version:	1.30.1
Release:	%mkrel 1
License:	GPL
Group:		Development/Other
URL:		https://tracker.debian.org/pkg/fakeroot
Source0:	https://ftp.debian.org/debian/pool/main/f/fakeroot/fakeroot_%{version}.orig.tar.xz
#-------------------------------------------------------------------------
Patch2: debian_fix-shell-in-fakeroot.patch
Patch4: fakeroot-inttypes.patch
Patch5: fakeroot-multilib.patch
Patch7: relax_tartest.patch
Patch8: debian_also-wrap-stat-library-call.patch
#-------------------------------------------------------------------------
BuildRequires: make
BuildRequires:	libstdc++-devel
BuildRequires: libacl-devel
BuildRequires: libcap-devel
BuildRequires:  sharutils
BuildRequires:  util-linux-ng
BuildRequires:	pkgconfig(libcap) 

%description
This package is intended to enable something like: fakeroot rpm
--rebuild i.e. to remove the need to become root for a package
build. This is done by setting LD_PRELOAD to a "libfakeroot.so.0.0",
that provides wrappers around chown, chmod, mknod, stat, etc.

If you don't understand any of this, you do not need this!

%prep
%setup -q
%apply_patches

for file in ./doc/*/*.1.*; do
  %{_bindir}/iconv -f latin1 -t utf8 < $file > $file.new
  %{__mv} -f $file.new $file
done

# Fix man page location
perl -pi -e 's|faked.1|../faked.1|; s|fakeroot.1|../fakeroot.1|' doc/*/Makefile.am

# the french man page is in man-pages-fr-1.58.0-18mdk, nuke this one to prevent file clash
perl -pi -e 's| fr | |' doc/Makefile.am

# anti version hack
%{__perl} -pi -e "s|-release 0|-avoid-version|g" Makefile*

%build
./bootstrap
autoscan
libtoolize -f -c --automake
aclocal
autoheader
rm -f missing
automake --add-missing --copy
autoconf -W all
rm -rf autom4te.cache
%configure2_5x \
    --disable-dependency-tracking \
    --disable-static \
    --with-ipc=sysv \
    --libdir=%{_libdir}/libfakeroot
%make_build

%install
rm -rf %buildroot
%make_install libdir=%{_libdir}/libfakeroot

%{__rm} %{buildroot}%{_libdir}/libfakeroot/*.la


%files
%defattr(-,root,root,0755)
%{_bindir}
%{_libdir}
%{_datadir}

%changelog
* Mon Nov 21 2022 tex - 1.30.1-1pclos2022
- Update to upstream fakeroot 1.30.1
